.OrderCard {}

.OrderCard .card_main_holder {
    margin-bottom: 2%;
}

.OrderCard .card_main_holder .card_holder {
    background: #EEEEEE 0% 0% no-repeat padding-box;
    border-radius: 5px;
    opacity: 1;
    /* height: 130px; */
    padding: 10px 15px;
    cursor: pointer;
}

.OrderCard .card_main_holder .card_holder .left_side_part {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.OrderCard .card_main_holder .card_holder .left_side_part .img_holder {
    height: 70px;
    min-width: 70px;
}

.OrderCard .card_main_holder .card_holder .left_side_part .img_holder .product_img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 2px solid #1f7041;
}



.OrderCard .card_main_holder .card_holder .right_side_part {}

.OrderCard .card_main_holder .card_holder .right_side_part .footer_date {}


.OrderCard .card_main_holder .card_holder .right_side_part .footer_date .arrow_icon_div {
    letter-spacing: 0px;
    color: #000;
    opacity: 1;
    margin-bottom: 0px;
    font-size: 14px;
    font-weight: 600;
    text-align: right;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div {
    padding-left: 17px;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 5px;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div .title {
    letter-spacing: 0px;
    color: #000;
    opacity: 1;
    font-size: 15px;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    text-align: left;
    margin-bottom: 5px;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div .order_id {
    letter-spacing: 0px;
    opacity: 1;
    margin-bottom: 0px;
    font-size: 20px;
    font-weight: 700;
    color: #040404;
}


.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div .order_name {
    letter-spacing: 0px;
    opacity: 1;
    margin-bottom: 0px;
    font-size: 15px;
    font-weight: 700;
    color: #040404;
     overflow: hidden;
   display: -webkit-box;
   -webkit-line-clamp: 2; /* number of lines to show */
           line-clamp: 2; 
   -webkit-box-orient: vertical;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .qty_div {
    display: flex;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .left_detail_holder .item {
    letter-spacing: 0px;
    color: #040404;
    opacity: 1;
    margin-bottom: 0px;
    font-size: 18px;
    font-weight: 700;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .track_order_status {
    letter-spacing: 0px;
    color: #0073DB;
    opacity: 1;
    margin-bottom: 0px;
    font-size: 15px;
    font-weight: 700;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-top: 1%;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text {
    letter-spacing: 0px;
    color: #040404;
    opacity: 1;
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 0px;
    display: flex;
    align-items: center;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text .amount_text {
    margin-bottom: 0px;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text .status_text {
    /* color: #6b4182 !important; */
    font-size: 15px;
    margin-bottom: 0px;
    margin-left: 22px;
}

.OrderCard .card_main_holder .card_holder .right_side_part .first_div .date_holder p {
    letter-spacing: 0px;
    opacity: 1;
    margin-bottom: 0px;
    font-weight: 500;
    color: #040404;
    font-size: 15px;
    margin-bottom: 0px;
}

.OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .view_details_text {
    color: #040404;
    font-size: 15px;
    margin-bottom: 0px;
    text-decoration: underline;
    font-weight: 500;
}



@media (min-width: 0px) and (max-width: 420px) {

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .left_detail_holder .item,
    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text {
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text .status_text {
        margin-left: 0px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div .order_id {
        font-size: 14px !important;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .left_detail_holder .item,
    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text {
        font-size: 13px !important;
    }
}


@media (min-width: 0px) and (max-width: 575px) {
    .OrderCard .card_main_holder {
        margin-top: 5%;
    }

    .OrderCard .card_main_holder .card_holder .left_side_part {
        justify-content: center;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div {
        margin-top: 13px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div {
        margin-top: 2%;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text {
        margin-top: 4%;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div {
        padding-left: 0px;
    }

    .OrderCard .card_main_holder .card_holder .left_side_part .img_holder {
        height: 40px;
        min-width: 40px;
    }

    .OrderCard .card_main_holder .card_holder {
        padding: 5px 7px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div .title {
        font-size: 13px;
        margin-bottom: 0px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .order_id {
        font-size: 11px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .qty_div .item {
        letter-spacing: 0px;
        color: #000;
        opacity: 1;
        margin-bottom: 0px;
        font-size: 11px;
        font-weight: 600;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text p,
    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .track_order_status,
    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .view_details_text {
        font-size: 14px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div .order_id {
        font-size: 15px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .first_div .date_holder p {
        font-size: 13px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .left_detail_holder .item,
    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text {
        font-size: 15px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text .status_text {
        font-size: 13px;
    }

}

@media (min-width: 576px) and (max-width: 1199px) {
    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div .order_id {
        font-size: 15px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .first_div .date_holder p {
        font-size: 13px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .left_detail_holder .item,
    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text {
        font-size: 15px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text .status_text {
        font-size: 13px;
    }
}

@media (min-width: 1200px) and (max-width: 1399px) {
    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .first_div .order_id {
        font-size: 17px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .order_id_div .left_detail_holder .item,
    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text {
        font-size: 16px;
    }

    .OrderCard .card_main_holder .card_holder .right_side_part .order_details_div .footer_text .delivery_text .status_text {
        font-size: 14px;
    }
}